org.apache.cassandra.cql3

## Class RoleName

- java.lang.Object
- - org.apache.cassandra.cql3.RoleName

-     public class RoleName
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoleName()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()`
    `boolean` | `hasName()`
    `void` | `setName(java.lang.String name, boolean keepCase)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RoleName

          public RoleName()

  - ### Method Detail

    - #### setName

          public void setName(java.lang.String name,
                              boolean keepCase)

    - #### hasName

          public boolean hasName()

    - #### getName

          public java.lang.String getName()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation